xcb_free_pixmap(3)

NAME
xcb_free_pixmap - Destroys a pixmap

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_free_pixmap(xcb_connection_t *conn, xcb_pixmap_t pixmap);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

pixmap
    The pixmap to destroy.

DESCRIPTION
Deletes the association between the pixmap ID and the pixmap. The pixmap storage will be freed when there are no more references to it.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_free_pixmap_checked. See xcb-requests(3) for details.

ERRORS

xcb_pixmap_error_t
    The specified pixmap does not exist.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.